﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;
public class ChoiceMove_Script : MonoBehaviour {

	public GameManager GM;
	[HideInInspector]
	public Vector2 StartPoint;
	public Vector2 target;
	public Quiz_Script quizScript;
	public SpriteRenderer Green;
	public float LevelSpeed;
	public GameObject Btns;

	void Awake(){
		StartPoint = transform.position;
	}

	void OnEnable () {

		target = new Vector2 (-6f, transform.position.y);
		LevelSpeed= (KahenManager.CurrentLevel+1) * 0.2f;
		if (LevelSpeed > 1.5f) {
			LevelSpeed = 1.5f;
		}
	}
	
	// Update is called once per frame
	void Update () {
		if (!GameManager.GameisOver) {
			transform.position = Vector2.MoveTowards(transform.position,target,(quizScript.Speed + LevelSpeed)*Time.deltaTime);
		}
	}

	void OnTriggerEnter2D(Collider2D other){
		quizScript.CurrentGoal = gameObject.GetComponent<SpriteRenderer>().sprite.name;
		quizScript.ItemToDelete = gameObject;
		Debug.Log(gameObject.GetComponent<SpriteRenderer>().sprite.name);
		if(other.tag == "Green")
			Debug.Log("Green");

	}
	void OnTriggerExit2D(Collider2D other){
			if (other.tag == "Green"){
			quizScript.QuizAnimator.SetTrigger("QbackRev_Trigger");
			Btns.SetActive(false);
			quizScript.CurrentGoal = "";
			Green.color = new Color32(255,0,0,190);
			GM.KillPlayer ();
			foreach(GameObject Go in quizScript.QuizItems){
				Go.transform.position = new Vector2(6,-4.85f);
				Go.GetComponent<ChoiceMove_Script>().enabled = false;
				Go.GetComponent<SpriteRenderer>().sprite = null;
			}
		}
	}
}
